package org.jdtaus.banking.ri.txtdirectory;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class DuplicateTextschluesselExceptionBundle{ 

/** <pre> Non-unique Textschluessel {0,number,00}{1,number,000}.</pre>. */
public static String getDuplicateTextschluesselText(final Locale locale) {
    return getMessage("duplicateTextschluessel", locale);
}

/** <pre> Non-unique Textschluessel {0,number,00}{1,number,000}.</pre>. */
public static MessageFormat getDuplicateTextschluesselMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("duplicateTextschluessel", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    return ResourceBundle.getBundle(
        "org.jdtaus.banking.ri.txtdirectory.DuplicateTextschluesselException", locale).getString(key);
}

}
