package org.jdtaus.banking.ri.txtdirectory;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class RITextschluesselBundle{ 

/** <pre> {0,number,00}{1,number,000}</pre>. */
public static String getDefaultDescriptionText(final Locale locale) {
    return getMessage("defaultDescription", locale);
}

/** <pre> {0,number,00}{1,number,000}</pre>. */
public static MessageFormat getDefaultDescriptionMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("defaultDescription", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    return ResourceBundle.getBundle(
        "org.jdtaus.banking.ri.txtdirectory.RITextschluessel", locale).getString(key);
}

}
